Get Site

get https://app.mk.io/api/v1/projects/:project_name/infra/sites/:name

Get a site by name. To learn more about sites, read Site Concept.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
name string Required

Response

200 A single site
kindstringRequired
The kind of record.
metadataobjectMetadataSchemaRequired
Site metadata.
Show 10 propertiesHide 10 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
displayNamestringOptional
The display name of the resource
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectSiteBodySpecRequired
Site specification.
Show 2 propertiesHide 2 properties
geolocationobjectGeolocationFragmentOptional
Optional geolocation data for the site.
Show 1 propertyHide 1 property
coordinateslist of doublesRequired0-2 items
Co-ordinates that describe the geolocation (ISO 6709), an array of two floating point numbers [latitude(North - South), longitude(East - West)]. Set an empty array to clear the geolocation.
routeslist of objectsRouteJsonFragmentOptional
The routes that connect the network to <glossary:site>s.
Show 2 propertiesHide 2 properties
defaultTransportobjectDefaultTransportOptional
Settings used to influence the <glossary:transport> that the system will automatically select when it needs to send <glossary:content> from one <glossary:flow> to another flow. The default transport settings from the route on which the content enters the network are used to select and configure the transport for the content. Read Default transports to learn more.
Show 2 propertiesHide 2 properties
cidrstringOptionalDefaults to
The IP address range to choose from when the system automatically creates transport settings for sending content from one flow to another. If a specific IP/URL (such as a public cloud IP or a fleet device IP) is required to send content between flows, then this setting will be ignored.
typeenumRequired
The type of <glossary:transport> to use for sending content from one flow to another flow.
Allowed values:AutoSRTListenerSRTCallerUDPRISTListener
networkNamestringRequiredpattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$
The name of the <glossary:network> connected to the site by this route.
statusobjectSiteBodyStatusRequired
Site status.
Show 3 propertiesHide 3 properties
locationDisplayNamestringOptional<=255 characters
Display name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.
locationNamestringOptionalpattern: ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$
Name of the location of this site. This field is only relevant for <<glossary:SaaS site>>s. To learn more, read Sites.
ownerenumRequired
Indicates whether the site was automatically created by the system. System owned sites cannot be deleted, but they can be modified. To learn more, read System owned sites.
Allowed values:UserSystem

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code